SumLn
Arithmetic Operations

Sums up the natural logarithm of each sample of a signal. More...

## Functions

NppStatus | nppsSumLnGetBufferSize_32f (int nLength, int *hpBufferSize)
| Device scratch buffer size (in bytes) for 32f SumLn. More...
NppStatus | nppsSumLn_32f (const Npp32f *pSrc, int nLength, Npp32f *pDst, Npp8u *pDeviceBuffer)
| 32-bit floating point signal sum natural logarithm. More...
NppStatus | nppsSumLnGetBufferSize_64f (int nLength, int *hpBufferSize)
| Device scratch buffer size (in bytes) for 64f SumLn. More...
NppStatus | nppsSumLn_64f (const Npp64f *pSrc, int nLength, Npp64f *pDst, Npp8u *pDeviceBuffer)
| 64-bit floating point signal sum natural logarithm. More...
NppStatus | nppsSumLnGetBufferSize_32f64f (int nLength, int *hpBufferSize)
| Device scratch buffer size (in bytes) for 32f64f SumLn. More...
NppStatus | nppsSumLn_32f64f (const Npp32f *pSrc, int nLength, Npp64f *pDst, Npp8u *pDeviceBuffer)
| 32-bit flaoting point input, 64-bit floating point output signal sum natural logarithm. More...
NppStatus | nppsSumLnGetBufferSize_16s32f (int nLength, int *hpBufferSize)
| Device scratch buffer size (in bytes) for 16s32f SumLn. More...
NppStatus | nppsSumLn_16s32f (const Npp16s *pSrc, int nLength, Npp32f *pDst, Npp8u *pDeviceBuffer)
| 16-bit signed short integer input, 32-bit floating point output signal sum natural logarithm. More...

## Detailed Description

Sums up the natural logarithm of each sample of a signal.

## Function Documentation

NppStatus nppsSumLn_16s32f | ( | const Npp16s * | pSrc,
|  | int | nLength,
|  | Npp32f * | pDst,
|  | Npp8u * | pDeviceBuffer
| ) |  |

16-bit signed short integer input, 32-bit floating point output signal sum natural logarithm.

Parameters

  pSrc | Source Signal Pointer.
  nLength | Signal Length.
  pDst | Pointer to the output result.
  pDeviceBuffer | Pointer to the required device memory allocation.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsSumLn_32f | ( | const Npp32f * | pSrc,
|  | int | nLength,
|  | Npp32f * | pDst,
|  | Npp8u * | pDeviceBuffer
| ) |  |

32-bit floating point signal sum natural logarithm.

Parameters

  pSrc | Source Signal Pointer.
  nLength | Signal Length.
  pDst | Pointer to the output result.
  pDeviceBuffer | Pointer to the required device memory allocation.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsSumLn_32f64f | ( | const Npp32f * | pSrc,
|  | int | nLength,
|  | Npp64f * | pDst,
|  | Npp8u * | pDeviceBuffer
| ) |  |

32-bit flaoting point input, 64-bit floating point output signal sum natural logarithm.

Parameters

  pSrc | Source Signal Pointer.
  nLength | Signal Length.
  pDst | Pointer to the output result.
  pDeviceBuffer | Pointer to the required device memory allocation.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsSumLn_64f | ( | const Npp64f * | pSrc,
|  | int | nLength,
|  | Npp64f * | pDst,
|  | Npp8u * | pDeviceBuffer
| ) |  |

64-bit floating point signal sum natural logarithm.

Parameters

  pSrc | Source Signal Pointer.
  nLength | Signal Length.
  pDst | Pointer to the output result.
  pDeviceBuffer | Pointer to the required device memory allocation.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsSumLnGetBufferSize_16s32f | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

Device scratch buffer size (in bytes) for 16s32f SumLn.

This primitive provides the correct buffer size for nppsSumLn_16s32f.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer. Scratch Buffer and Host Pointer.

Returns
  NPP_SUCCESS

NppStatus nppsSumLnGetBufferSize_32f | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

Device scratch buffer size (in bytes) for 32f SumLn.

This primitive provides the correct buffer size for nppsSumLn_32f.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer. Scratch Buffer and Host Pointer.

Returns
  NPP_SUCCESS

NppStatus nppsSumLnGetBufferSize_32f64f | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

Device scratch buffer size (in bytes) for 32f64f SumLn.

This primitive provides the correct buffer size for nppsSumLn_32f64f.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer. Scratch Buffer and Host Pointer.

Returns
  NPP_SUCCESS

NppStatus nppsSumLnGetBufferSize_64f | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

Device scratch buffer size (in bytes) for 64f SumLn.

This primitive provides the correct buffer size for nppsSumLn_64f.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer. Scratch Buffer and Host Pointer.

Returns
  NPP_SUCCESS

Copyright © 2009-2017 NVIDIA Corporation